#include<bits/stdc++.h>
using namespace std;
bool ktra(int x)
{
    int kt=true;
    if(x<=1)
    {
        kt=false;
    }
    else
    {
        for(int j=2;j*j<=x;j++)
        {
            if(x%j==0)
            {
                kt=false;
                break;
            }
        }
    }
    return kt;
}
int main()
{
    ifstream fi("demnt.inp");
    ofstream fo("demnt.out");
    int n;
    fi>>n;
    int a[n];
    int dem=0;
    for(int i=0;i<n;i++)
    {
        fi>>a[i];
        if(ktra(a[i]))
        {
            dem++;
        }
    }
    fo<<dem;
}
